﻿@ModelType Models.Blog

@Code
    ViewData("Title") = "Edit"
End Code

<h2>Edit</h2>

<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>

@Using Html.BeginForm()
    @Html.ValidationSummary(True)
    @<fieldset>
        <legend>Blog</legend>

        @Html.HiddenFor(Function(model) model.Id)

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Title)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Title)
            @Html.ValidationMessageFor(Function(model) model.Title)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.BloggerName)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.BloggerName)
            @Html.ValidationMessageFor(Function(model) model.BloggerName)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.DateCreated)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.DateCreated)
            @Html.ValidationMessageFor(Function(model) model.DateCreated)
        </div>


        <p>
            <input type="submit" value="Save" />
        </p>
    </fieldset>
End Using

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

