﻿Imports System.Web.Mvc
Imports System.Web.Routing
Imports System.Data.Entity
Imports Models

Namespace CodeFirstMVC
  ' Note: For instructions on enabling IIS6 or IIS7 classic mode, 
  ' visit http://go.microsoft.com/?LinkId=9394801

  Public Class MvcApplication
	  Inherits HttpApplication
	Public Shared Sub RegisterGlobalFilters(ByVal filters As GlobalFilterCollection)
	  filters.Add(New HandleErrorAttribute())
	End Sub

	Public Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
	  routes.IgnoreRoute("{resource}.axd/{*pathInfo}")

	  routes.MapRoute("Default", "{controller}/{action}/{id}", New With {Key .controller = "Blog", Key .action = "Index", Key .id = UrlParameter.Optional}) ' Parameter defaults -  URL with parameters -  Route name
	End Sub

	Protected Sub Application_Start()
	  AreaRegistration.RegisterAllAreas()

	  RegisterGlobalFilters(GlobalFilters.Filters)
	  RegisterRoutes(RouteTable.Routes)

	  'using a custom initializer to seed the database,look in blogcontext to see
		'how it works
		Entity.Database.SetInitializer(New BlogContext.BlogContextInitializer())

	End Sub
  End Class
End Namespace