﻿Namespace Models
    Public Class Blog
        Public Property Id() As Integer
        Public Property Title() As String
        Public Property BloggerName() As String
        Public Property DateCreated() As Date

        Public Overridable Property Posts() As ICollection(Of Post)
    End Class


    Public Class Post
        Public Property Id() As Integer
        Public Property Title() As String
        Public Property DateCreated() As Date
        Public Property Content() As String
        Public Property BlogId() As Integer

        Public Overridable Property Comments() As ICollection(Of Comment)

    End Class

    Public Class Comment

        Public Property Id() As Integer
        Public Property DateCreated() As Date
        Public Property Content() As String
        Public Property PostId() As Integer

        'navigation back to parent
        Public Property Post() As Post
    End Class
End Namespace





